import { BangleEditor as CoreBangleEditor, BangleEditorProps as CoreBangleEditorProps, BangleEditorState as CoreBangleEditorState } from '@bangle.dev/core';
import PropTypes from 'prop-types';
import { EditorView } from 'prosemirror-view';
import React from 'react';
import { RenderNodeViewsFunction } from './NodeViewWrapper';
export declare const EditorViewContext: React.Context<EditorView<any>>;
interface BangleEditorProps extends CoreBangleEditorProps {
    id: string;
    children: React.ReactNode;
    renderNodeViews: RenderNodeViewsFunction;
    className: string;
    style?: React.CSSProperties;
    onReady?: (editor: CoreBangleEditor) => void;
}
export declare function BangleEditor({ id, state, children, focusOnInit, pmViewOpts, renderNodeViews, className, style, onReady, }: BangleEditorProps): JSX.Element;
export declare namespace BangleEditor {
    var propTypes: {
        id: PropTypes.Requireable<string>;
        renderNodeViews: PropTypes.Requireable<(...args: any[]) => any>;
        onReady: PropTypes.Requireable<(...args: any[]) => any>;
        children: PropTypes.Requireable<PropTypes.ReactElementLike | (PropTypes.ReactElementLike | null | undefined)[]>;
        state: PropTypes.Validator<CoreBangleEditorState>;
        pmViewOpts: PropTypes.Requireable<object>;
        className: PropTypes.Requireable<string>;
        style: PropTypes.Requireable<object>;
    };
}
export {};
//# sourceMappingURL=ReactEditor.d.ts.map